Bug 55943 - [sblive] emu10k1 creates garbage sounds with some loki games
[sblive] emu10k1 creates garbage sounds with some loki games
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-09 03:52 EST by Andy Wang
Modified: 2007-04-18 12:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 16:48:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Wang 2001-11-09 03:52:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
With some Loki games, the emu10k1 drivers create extremely garbled noise. 
Basically nothing more than buzzing sounds.  Specifically I have tested
railroad tycoon 2, heavy gear2, myth2, and civ call to power.  Quake3,
Unreal Tournament, Soldier of Fortune and Simcity 3000 work fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Reboot system.
2.Start Civ Call to Power, railroad tycoon 2, heavy gear2, or myth2.
3.Exit the game.
4.Restart the game.
5.sound is now garbled.
Alternatively, starting heavy gear2 right after reboot. It should
sound normal initially.  Start a single player training mission.  Once
the training mission starts, the noise will be garbled.

Actual Results:  Garbled noises.  Mostly buzzing sounds.  No resemblance to
the actual sound the game should be producing.

Expected Results:  Normal sound from game.

Additional info:

If I start up xmms to play a mp3 file it seems to then reset the sound
and the next time i start up any of the four games i listed the sound will
be fine.  However, with heavy gear 2, the game itself will eventually start
producing the buzzing sound instead of the real audio.
This problem did not exist with RH 7.1.  It also does not exist with civctp
and rt2 on my laptop which uses a ESS Maestro sound chip.
I have an SB live model 4620(Original soundblaster live with
Comment 1 Andy Wang 2001-11-09 03:53:33 EST
Oops.  I forgot to mention, this happens with both the installed 2.4.7-9 kernel
as well as with the kernels in the updates (both 2.4.9-7 and 2.4.9-13)
Comment 2 Arjan van de Ven 2001-11-21 10:53:48 EST
Unfortionatly the sblive driver we ship is the same one we shipped before.
I am beginning to get the feeling that the official VIA workaround for their
686A bug is interacting with the SBLive. Does your machine have an Athlon
CPU/VIA chipset ?
Comment 3 Andy Wang 2001-11-21 13:30:52 EST
Hurm.  I never thought of that but yeah, I do have an Athlon motherboard with a
VIA chipset.  Specifically, the MSI K7T-Pro2.  I believe that there was a BIOS
update that fixes the SBLive problem though as well right?  With the BIOS update
the code fix is not necessary correct?  If so, is it possible to disable the
code fix to test this theory?  I'm pretty sure MSI released a BIOS update that
addressed the issue and I am currently running the latest version.
Comment 4 Helmut Wirth 2001-11-25 16:27:59 EST
Nearly same thing here, i have following Hardware
- 1,2Ghz Athlon
- Asus Board with VIA Apollo KT133 Chipset
- SB Live PCI card
- Asus AGP Graphicboard with NVIDIA GeForce2 GTS GPU
- Adaptec 788x PCI SCSI Hostadaptor
- AVM Fritz PCI ISDN Adaptor

With 2.4.7-10.athlon, some Loki-Gamedemos work without
any problem and correct sound, but others (e.g. Railroad
Tycoon II) lock up my system! With 2.4.9-13.athlon, all
tested demos have strong damaged sound and the demos which
locked up my system with 2.4.7-10 do this with 2.4.9-13, too.
Comment 5 Philip Long 2001-11-27 12:52:33 EST
Me too, but on Intel hardware.

Gnome and KDE sounds are fine.  MP3 playing through xmms seems fine.  Eric's
Ultimate Solitare and Heroes3 are fine.  The noise comming out of the SB live
when starting Railroad Tycoon 2 and Sid Myers Alpha Centauri (both the launcher
and the program) is hideous.  Rapid clicking as described above.  Just plain wrong.

Fresh RH 7.2 on a new box after about a week of ctcs just to be sure it's stable ...

* ASUS TUSL2-C motherboard with i815EP chipset
* 128 MB of corsair CAS2 memory (never use cheap memory with linux.  found that
out the hard way).
* G400 w/32MB
* Sony 52x CD-ROM, handled through the scsi emulation layer to make xcdroast happy
* NEC 12x CD writer, handled through the scsi emulation layer to make xcdroast happy
* OEM SB Live! Value using the emu10k

Seems to be the same bug as RH bug 55281 and 53803.  
Same bug as Loki fenris bug 3990, 3991

Comments from that bug is included below
Assigned To:   smac-fenris@lokigames.com
QA Contact: local-support@lokigames.com
Summary: All sound (music & effects) are garbled
Attachments: Create a new attachment (saved game, screenshot, etc.)

Description:   Opened: 2001-10-14

---- Comment by: gkarabin@pobox.com at 10/14/2001 19:14:54 ----
All of the sound from SMAC is completely garbled on my Red Hat installation.
I've seen the problem with both the release version and the 6.0a patch.

For what it's worth, I'm using a pre-release version of Red Hat 7.2 (the second
beta) with most of the Rawhide RPMS installed. I would expect to have the same
problem with the upcomoing Red Hat 7.2 release.

SMAC did work with the first version of the Roswell beta. I'm thinking that
either something in the second beta or one of the Rawhide updates is causing

I hear the same behavior in both SMAC and Mind Rover, and interesingly enough,
Chromium BSU (non-loki, but SDL dependent). My Kohan, Heroes of Might & Magic
III, and Civilization II Call to Power games have perfect audio.

My PC is configured as follows:

Red Hat "Roswell 2" plus rawhide updates.
Asus K7V Motherboard, 384 MBytes RAMSound Blaster Live Value

---- Comment by: gkarabin@pobox.com at 10/14/2001 19:20:52 ----
I've filed a similar bug against Mind Rover - Bug #3991.

---- Comment by: dopey@moonteeth.com at 11/11/2001 23:28:33 ----
I'm noticing the same problems on RedHat 7.2 final.
I've tested on my laptop as well as my desktop machines.
This problem seems to only happen on my desktop machines with the emu10k1 (sb
live) module.  The laptop has an ESS Maestro2 chip and all is good.
The games that this happens on for me are myth2, heavy gear 2, railroad tycoon
2, and civ call to power.  it does not happen on soldier of fortune, quake3 and
unreal tournament.  In case this helps.
Comment 6 Philip Long 2001-11-27 12:53:42 EST
Forgot to add - system is completely up2date and red-carpeted
Comment 7 Andy Wang 2001-11-30 21:08:05 EST
oops. sorry for filing the duplicate bug.  I checked the other bug reports and
they are the same thing.  For some reason I never seem able to search bugzilla
properly *8^).
Just to add to this, I have now reproduced it on my P3-500 with an SBLive!
card as well.  Asus P3B-F motherboard (Intel BX chipset).
I have a CT4760 in this machine.  The AMD Athlon system has a CT4620.  Both of
these are older Live! cards.  Could it be the older cards?
Comment 8 Andy Wang 2001-12-04 21:47:44 EST
I had a emu10k1 bugzilla bug filed.  Someone there noted that compiling with
CONFIG_NOHIGHMEM solves the problem.  I was lazy and installed the i586 2.4.9-13
rpm instead of recompiling and now sounds are working fine.
Comment 9 Helmut Wirth 2001-12-06 09:49:45 EST
I4ve tried this now and compiled 2.4.9-13 with CONFIG_NOHIGHMEM - and all
the previous bugs (trashed sound, hangs in some loki demos) went away!!!
Maybe redhat could use those setting as default for the Athlon UP config
in their next kernel update - there shouldn4t be too much Athlon UP machines
out there with more than 1G of main memory. Of course, the better way would
be to make the emu10k1 driver workable with all settings.
Comment 10 Bryce Nesbitt 2002-03-22 14:08:40 EST
I have similar problems

HardHat:audio> cat /etc/modules.conf
alias sound-slot-0 emu10k1

HardHat:audio> uname -a
Linux HardHat 2.4.9-21 #1 Thu Jan 17 13:35:37 EST 2002 i686 unknown
HardHat:bryce> cat /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 3
model name      : AMD Duron(tm) Processor
stepping        : 1
cpu MHz         : 908.101
cache size      : 64 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 mmx fxsr syscall mmxext 3dnowext 3dnow
bogomips        : 1808.79

Since upgrading to Kernel 2.4.9-13 I've had huge audio problems.  100% of the
time I get very bad
glitches when sound is used after a quiet period.  Sometimes audio plays back
fine after
the glitch, sometimes I get terrible noise instead of audio.
Comment 11 Andy Wang 2002-03-22 15:24:51 EST
The current 0.18-2 build from http://sourceforge.net/projects/emu10k1 doesn't
have the problem.  They addressed the issue shortly before
opensource.creative.com got hacked.
Comment 12 Need Real Name 2002-04-29 18:21:58 EDT
I can confirm that yes, 0.18-2 does fix this problem (0.18 also works).

Here's their bug:


Greg Brauer

Note You need to log in before you can comment on or make changes to this bug.